Bullet Collision Detection & Physics Library: btTypedConstraintData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btTypedConstraintData Struct Reference

this structure is not used, except for loading pre-2.82 .bullet files More...

`#include <btTypedConstraint.h>`

## Public Attributes
btRigidBodyData * | m_rbA
btRigidBodyData * | m_rbB
char * | m_name
int | m_objectType
int | m_userConstraintType
int | m_userConstraintId
int | m_needsFeedback
float | m_appliedImpulse
float | m_dbgDrawSize
int | m_disableCollisionsBetweenLinkedBodies
int | m_overrideNumSolverIterations
float | m_breakingImpulseThreshold
int | m_isEnabled

## Detailed Description

this structure is not used, except for loading pre-2.82 .bullet files

Definition at line 398 of file btTypedConstraint.h.

## Member Data Documentation

float btTypedConstraintData::m_appliedImpulse

Definition at line 409 of file btTypedConstraint.h.

float btTypedConstraintData::m_breakingImpulseThreshold

Definition at line 415 of file btTypedConstraint.h.

float btTypedConstraintData::m_dbgDrawSize

Definition at line 410 of file btTypedConstraint.h.

int btTypedConstraintData::m_disableCollisionsBetweenLinkedBodies

Definition at line 412 of file btTypedConstraint.h.

int btTypedConstraintData::m_isEnabled

Definition at line 416 of file btTypedConstraint.h.

char* btTypedConstraintData::m_name

Definition at line 402 of file btTypedConstraint.h.

int btTypedConstraintData::m_needsFeedback

Definition at line 407 of file btTypedConstraint.h.

int btTypedConstraintData::m_objectType

Definition at line 404 of file btTypedConstraint.h.

int btTypedConstraintData::m_overrideNumSolverIterations

Definition at line 413 of file btTypedConstraint.h.

btRigidBodyData* btTypedConstraintData::m_rbA

Definition at line 400 of file btTypedConstraint.h.

btRigidBodyData* btTypedConstraintData::m_rbB

Definition at line 401 of file btTypedConstraint.h.

int btTypedConstraintData::m_userConstraintId

Definition at line 406 of file btTypedConstraint.h.

int btTypedConstraintData::m_userConstraintType

Definition at line 405 of file btTypedConstraint.h.

The documentation for this struct was generated from the following file:

- btTypedConstraint.h